summaryrefslogtreecommitdiffstats
path: root/libraries/tcllib
diff options
context:
space:
mode:
author Paul Wisehart2010-05-13 00:33:39 +0200
committer Robby Workman2010-05-13 00:33:39 +0200
commit929ceee73c71be6e0af69fe2af3233391f15608c (patch)
treea39c2a36f2d2f02e5be1359f22cdf380bf4d79c5 /libraries/tcllib
parent8f5116594ef4469aad7de5b683d053386857a98a (diff)
downloadslackbuilds-929ceee73c71be6e0af69fe2af3233391f15608c.tar.gz
libraries/tcllib: Updated for version 1.10
Diffstat (limited to 'libraries/tcllib')
-rw-r--r--libraries/tcllib/tcllib.SlackBuild14
-rw-r--r--libraries/tcllib/tcllib.info4
2 files changed, 14 insertions, 4 deletions
diff --git a/libraries/tcllib/tcllib.SlackBuild b/libraries/tcllib/tcllib.SlackBuild
index bb1f2cea9a..3ce88a4461 100644
--- a/libraries/tcllib/tcllib.SlackBuild
+++ b/libraries/tcllib/tcllib.SlackBuild
@@ -17,8 +17,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e
@@ -41,6 +46,7 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man
@@ -49,8 +55,10 @@ make
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
( cd $PKG/usr/man || exit 1
@@ -66,4 +74,4 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/tcllib/tcllib.info b/libraries/tcllib/tcllib.info
index f1eda0439a..d147d4ee92 100644
--- a/libraries/tcllib/tcllib.info
+++ b/libraries/tcllib/tcllib.info
@@ -1,8 +1,10 @@
PRGNAM="tcllib"
VERSION="1.10"
HOMEPAGE="http://www.tcl.tk/software/tcllib/"
-DOWNLOAD="http://download.sourceforge.net/tcllib/tcllib-1.10.tar.gz"
+DOWNLOAD="http://downloads.sourceforge.net/tcllib/tcllib-1.10.tar.gz"
+DOWNLOAD_x86_64=""
MD5SUM="5dd5e5db04a1c39b7e2d25c0614f5dcb"
+MD5SUM_x86_64=""
MAINTAINER="Paul Wisehart"
EMAIL="wise@lupulin.net"
APPROVED="rworkman"